Compare commits

..
2 Commits
Author SHA256 Message Date
spacefreak ef76bdd8dd remove obsolete chmod on config.example 2026-08-27 23:50:19 +02:00
spacefreak 873601019a always install config.example if available 2026-08-27 23:44:08 +02:00
2 changed files with 2 additions and 5 deletions
-1
View File
@@ -38,7 +38,6 @@ trap cleanup_work_dir EXIT
! download_files config.example pbc && echo "Error downloading files!" >&2 && exit 10 ! download_files config.example pbc && echo "Error downloading files!" >&2 && exit 10
chmod +x "$WORK_DIR/pbc" chmod +x "$WORK_DIR/pbc"
chmod o= "$WORK_DIR/config.example"
"$WORK_DIR/pbc" install "$WORK_DIR/pbc" install
rc=$? rc=$?
-2
View File
@@ -402,11 +402,9 @@ case "$action" in
fi fi
if [ -f "$SCRIPT_DIR/config.example" ]; then if [ -f "$SCRIPT_DIR/config.example" ]; then
if $update_pbc || [ ! -f "$ETC_DIR/config.example" ]; then
echo "Install example config to $ETC_DIR/config.example ..." echo "Install example config to $ETC_DIR/config.example ..."
! install -m 0640 "$SCRIPT_DIR/config.example" "$ETC_DIR/config.example" && echo "Error installing file!" >&2 && exit 4 ! install -m 0640 "$SCRIPT_DIR/config.example" "$ETC_DIR/config.example" && echo "Error installing file!" >&2 && exit 4
fi fi
fi
echo "Info: successfully installed pbc dependencies" echo "Info: successfully installed pbc dependencies"
;; ;;